# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config
, lib
, pkgs
, modulesPath
, ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  # Use the systemd-boot EFI boot loader.
  boot = {
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };
    initrd.availableKernelModules = [ "xhci_pci" "ahci" "nvme" "usb_storage" "usbhid" "sd_mod" "uas" "usbcore" ];
    # initrd.kernelModules = ["i915" ];
    kernelModules = [ "kvm-amd" "iscsi_tcp" ];
    extraModulePackages = [ ];
    kernelPackages = pkgs.linuxPackages_latest;
    # kernelParams = [
    #   "i915.enable_guc=0"
    # ];
  };
  fileSystems."/" = {
    device = "/dev/disk/by-label/SYSTEM";
    fsType = "btrfs";
    options = [ "subvol=@nixos" "noatime" ];
  };
  fileSystems."/raid" = {
    device = "//192.168.2.146/raid";
    fsType = "cifs";
    options = ["credentials=/etc/nixos/smb-secrets" "_netdev" "uid=1000" "gid=1000" "file_mode=0777" "dir_mode=0777"  ];

  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-label/SYSTEM";
    fsType = "btrfs";
    options = [ "subvol=@nix" "noatime" ];
  };

  fileSystems."/home" = {
    device = "/dev/disk/by-label/SYSTEM";
    fsType = "btrfs";
    options = [ "subvol=@home" "noatime" "compress=zstd" ];
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-label/ESP";
    fsType = "vfat";
  };

  networking.useDHCP = lib.mkDefault true;
  networking.networkmanager.enable = lib.mkDefault true; # Easiest to use and most distros use this by default.
  # BTRFS scrub
  services.btrfs.autoScrub.enable = true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware = {
   enableRedistributableFirmware = true;
    # pulseaudio.enable = true;
    # pulseaudio.support32Bit = true; ## If compatibility with 32-bit applications is desired.
    # graphics = {
    #   enable = true;
    #   # extraPackages = with pkgs; [
    #   # # intel-vaapi-driver
    #   # intel-media-driver
    #   # libvdpau-va-gl
    #   # ];
    # };
  };
}

