{
  inputs,
  config,
  lib,
  pkgs,
  ...
}: {
  nix = {
    package = pkgs.nixFlakes;
    optimise.automatic = true;
    # optimiser.user = "root";
    extraOptions = ''
      experimental-features = nix-command flakes
    '';
  };
  networking = {
    hostName = "leptin";
  };
  nixpkgs.config = {
    packageOverrides = pkgs:
      with pkgs; {
        unstable = import unstableChannel {
          config = config.nixpkgs.config;
        };
      };
  };
  time.timeZone = "America/New_York";
  environment.systemPackages = with pkgs; [
    # sheldon
    caddy
    docker
    hyperfine
    inputs.neovim-nightly-overlay.packages.${pkgs.system}.default
    inputs.nixpkgs-unstable.legacyPackages.${pkgs.system}.nh
  ];
  programs = {
    # starship.enable = true;
    # yazi.enable = true;
    # nh = {
    #   enable = true;
    #   clean.enable = true;
    #   clean.extraArgs = "--keep-since 4d --keep 3";
    #   flake = "/Users/mira/nix-config";
    # };
  };
  # fail2ban = {
  #  enable = true;
  #   ignoreIP = ["10.0.0.0/8" "172.16.0.0/12" "192.168.0.0/16"];
  # };
  # virtualisation.docker = {
  # #   enableOnBoot = true;
  #   enable = true;
  # #   autoPrune.enable = true;
  # #   extraOptions = "--userns-remap=default";
  # };
  services = {
    nix-daemon.enable = true;
  };
}
