inputs @ { config
, pkgs
, flakes
, ...
}: {
  imports = [
    ./etc/seaweedfs.nix # the file from dermetfan
  ];

  services.seaweedfs.clusters.default = {
    package = pkgs.seaweedfs;

    masters.main = {
      openFirewall = true;
      ip = "${config.networking.hostName}.lan";
      mdir = "/raid/@weed/metadata/";
      volumePreallocate = true;

      defaultReplication = {
        dataCenter = 0;
        rack = 0;
        server = 0;
      };
    };
    volumes.${config.networking.hostName} = {
      openFirewall = true;
      dataCenter = "ribosome";
      rack = "${config.networking.hostName}";
      ip = "${config.networking.hostName}.lan";
      dir = [ "/raid/@weed/volumes/volume_${config.networking.hostName}/" ];
      disk = "hdd"; # Replication gets screwy if these don't match
      max = [ 0 ]; # use all space
      port = 9334;

      mserver = [
        {
          ip = "${config.networking.hostName}.lan";
          port = 9333;
        }
      ];
    };

    filers.main = {
      openFirewall = true;
      dataCenter = "ribosome";
      encryptVolumeData = false;
      ip = "${config.networking.hostName}.lan";
      peers = [ ];
      port = 4208;
      master = [
        # this is actually in cluster.masters that I import in the real file
        {
          ip = "${config.networking.hostName}.lan";
          port = 9333;
        }
      ];
    };
  };
}
